Subject: Re: bug#49787: noexcept on destructor confuses cc-mode

From: Alan Mackenzie <[email-masked]>
Date: Wed, 24 Aug 2022 19:35:40 +0000

Hello, Daniel and Lars.

On Mon, Aug 22, 2022 at 12:32:04 +0200, Lars Ingebrigtsen wrote:
> Daniel Colascione <[email-masked]> writes:

> > This is valid C++ code.

> > struct Foo {

> >   ~Foo() noexcept;

> > };

> > Adding the "noexcept" on the destructor causes cc-mode not to
> > recognize "~Foo" as a destructor.

Yes.

> I can confirm that this behaviour is still present in Emacs 29.  Adding
> Alan to the CCs.

I committed a fix to the master branch.  Would either of you like to test
the fix before I close the bug?

-- 
Alan Mackenzie (Nuremberg, Germany).